Vulnerabilità: CVE-2020-28914

Un improprio i permessi dei file vulnerabilità interessa Kata contenitori prima di 1.11.5. Quando si utilizza un volume kubernetes HostPath e il montaggio o un file o una directory in un contenitore in sola lettura, il file / directory è montato come readOnly all’interno del contenitore, ma è ancora scrivibile all’interno del guest. Per una situazione contenitore di breakout, un ospite maligno può potenzialmente modificare o eliminare i file / directory che dovrebbe essere di sola lettura.


https://github.com/kata-containers/kata-containers/pull/1062
https://github.com/kata-containers/runtime/pull/3042
https://github.com/kata-containers/runtime/pull/3051
https://github.com/kata-containers/runtime/releases/tag/1.11.5
https://github.com/kata-containers/runtime/releases/tag/1.12.0
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-28914


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi